Subject: [regext] Provider status? (Problems with IP network requests)

From: Adam Shannon <[email-masked]>
Date: Wed, 16 May 2018 15:24:47 -0500

Hi all,

I'm working on a client implementation of RDAP and running into some
problems.

Are all IPv4 ranges covered? It doesn't appear so, and servers from
about.rdap.org don't seem to be responding to domains they're said to
serve.

$ curl -L -v -H "Accept: application/json" https://rdap.org/ip/$(dig +short
code.jobs)
...
> GET /ip/45.56.121.172 HTTP/2
> Host: rdap.org
> Accept: application/json

< content-type: application/rdap_error+json

{"errorCode":404,"title":"No RDAP service could be found for
'45.56.121.172'"}

Also, I tried another example and am seeing a different response format
than what I saw in the RFC's.

$ curl -L -v -H "Accept: application/json" https://rdap.org/ip/192.0.2.0
{
    "net": {
        // ...
        "registrationDate": {
            "$": "2009-06-29T11:15:30-04:00"
        },
        "ref": {
            "$": "https://whois.arin.net/rest/net/NET-192-0-2-0-1"
        },
        "endAddress": {
            "$": "192.0.2.255"
        },
        "handle": {
            "$": "NET-192-0-2-0-1"
        },
        // ...
        "version": {
            "$": "4"
        }
    }
}

---

From: Gavin Brown <[email-masked]>
Date: Wed, 16 May 2018 14:04:47 -0700

Hi Adam,

I run rdap.org (in a personal capacity). Unfortunately it has not
received the attention it needs: it does not consume the IANA bootstrap
file, so its map of prefixes to RIRs may not be complete. My apologies.

If you're writing a client implementation I suggest you consume the
bootstrap file directly, as per RFC 7484.

Gavin.

On 16/05/2018 13:24, Adam Shannon wrote:
> about.rdap.org <http://about.rdap.org> don't seem to be responding to
> domains they're said to serve.
> 
> $ curl -L -v -H "Accept: application/json" https://rdap.org/ip/$(dig
> +short code.jobs <http://code.jobs>) 
> ...
>> GET /ip/45.56.121.172 <http://45.56.121.172> HTTP/2
>> Host: rdap.org <http://rdap.org>
>> Accept: application/json
> 
> _______________________________________________
> regext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/regext
> 

-- 
Gavin Brown
Chief Technology Officer
CentralNic Group plc (LSE:CNIC)
Innovative, Reliable and Flexible Registry Services
for ccTLD, gTLD and private domain name registries
https://www.centralnic.com/
+44.7548243029

CentralNic Group plc is a company registered in England and Wales with
company number 8576358. Registered Offices: 35-39 Moorgate, London,
EC2R 6AR.

---

From: Andy Newton <[email-masked]>
Date: Wed, 16 May 2018 23:27:20 +0200

Try the ARIN bootstrap server:
http://rdap.arin.net/bootstrap/

-andy 

Sent from my iPhone

> On May 16, 2018, at 11:04 PM, Gavin Brown <[email-masked]> wrote:
> 
> Hi Adam,
>

---

From: Adam Shannon <[email-masked]>
Date: Wed, 16 May 2018 17:47:55 -0500

Thanks, but I'm not seeing records which follow RFC 7484 in the ARIN
bootstrap server. There are notices, but nothing parsing.

On Wed, May 16, 2018 at 4:27 PM, Andy Newton <[email-masked]> wrote:

> http://rdap.arin.net/bootstrap/ <http://rdap.arin.net/bootstrap/help>
>
> -andy
>
> Sent from my iPhone
>
> <https://maps.google.com/?q=35-39+Moorgate,+London,+EC2R+6AR&entry=gmail&source=g>
> EC2R 6AR
> <https://maps.google.com/?q=35-39+Moorgate,+London,+EC2R+6AR&entry=gmail&source=g>
> .
>

---

From: Andrew Newton <[email-masked]>
Date: Wed, 16 May 2018 23:22:40 -0400

I don't think I understand. That is a bootstrap server, and sends
redirects for information found in the IANA bootstrap files:

$ curl -v https://rdap.arin.net/bootstrap/ip/45.56.121.172
*   Trying 199.5.26.160...
...
> GET /bootstrap/ip/45.56.121.172 HTTP/1.1
> Host: rdap.arin.net
> User-Agent: curl/7.47.0
> Accept: */*
>
< HTTP/1.1 302 Found
< Date: Thu, 17 May 2018 03:14:14 GMT
< Server: WildFly/10
< X-Powered-By: Undertow/1
< Location: https://rdap.arin.net/registry/ip/45.56.121.172
< Content-Length: 0
< Access-Control-Allow-Origin: *

Are you looking for the bootstrap files themselves?
http://data.iana.org/rdap/asn.json
http://data.iana.org/rdap/ipv4.json
http://data.iana.org/rdap/ipv6.json
http://data.iana.org/rdap/dns.json

RFC 7884 covers the bootstrap files. RFC 7483 covers the JSON returned
by RDAP servers.

-andy

---

From: Adam Shannon <[email-masked]>
Date: Thu, 17 May 2018 08:51:47 -0500

Ah. The ARIN service is just another RDAP server. Is there a special
meaning behind "bootstrap server"?

I'm able to parse the bootstrap files fine, but some of the downstream RDAP
servers seem to be returning errors.

---

From: Andrew Newton <[email-masked]>
Date: Thu, 17 May 2018 10:17:43 -0400

Adam,

There is no official meaning. They are just servers that issue
redirects based on the contents of the bootstrap files to help some
clients (browser based clients especially).

If you are finding issues with the responses of RDAP servers, it is
best to let the server operators know so they can fix the problems.

-andy

On Thu, May 17, 2018 at 9:51 AM, Adam Shannon <[email-masked]> wrote:
> Ah. The ARIN service is just another RDAP server. Is there a special meaning
> behind "bootstrap server"?
>

---

From: Adam Shannon <[email-masked]>
Date: Thu, 17 May 2018 09:21:40 -0500

Thanks. I'm hoping to have a cli tool and Go library available here soon.

On Thu, May 17, 2018 at 9:17 AM, Andrew Newton <[email-masked]> wrote:

> >> >> On May 16, 2018, at 11:04 PM, Gavin Brown <
> [email-masked]>
> >> >> wrote:
> >> >>
> >> >> Hi Adam,
> >> >>

---

From: Andrew Newton <[email-masked]>
Date: Thu, 17 May 2018 10:27:49 -0400

That would be awesome.

Be sure to announce it here when you are done. I've been working on
some new features for NicInfo and hope to have them complete soonish.

-andy

On Thu, May 17, 2018 at 10:21 AM, Adam Shannon <[email-masked]> wrote:
>> >> >> On May 16, 2018, at 11:04 PM, Gavin Brown
>> >> >> <[email-masked]>
>> >> >> wrote:
>> >> >>
>> >> >> Hi Adam,
>> >> >>